/*
 * usuario/excep_mem.c
 *
 *  Minikernel. Versin 1.0
 *
 *  Fernando Prez Costoya
 *
 */

/*
 * Programa de usuario que fuerza una excepcin en acceso a memoria.
 * Adems crea un proceso hijo (simplon).
 */

#include "servicios.h"

#define TOT_ITER 200	/* Nmero total de iteraciones */
#define ITER_EXCEP 20	/* iteracin en la que causa excepcin */

int main(){
	int i;
	int *p=0;

	if (crear_proceso("simplon")<0)
		printf("Error creando simplon\n");

	for (i=0; i<TOT_ITER; i++){
		printf("excep_mem: i %d\n", i);
		if ((i+1)%ITER_EXCEP==0)
			*p=5;
	}
	printf("excep_mem: termina\n");
	terminar_proceso();
	return 0; /* No se debera llegar a este punto */
}

